Subject: Re: traffic shaping with NAT: IFB as IMQ replacement?

From: "Gerd v. Egidy" <[email-masked]>
Date: Fri, 30 Mar 2007 01:08:00 +0200

Hi,

> > Linux router:
> > - does NAT for the LANs
> > - runs local processes communicating with the WAN/Internet
>
> I understand this requirement; unfortunately when i polled for features
> majority of people who emailed back were asking for the other things.
> I have changed my opinion a little since last time because the
> netfilter/contracking code now does netlink. I believe this could all be
> achieved in user space. Infact i have started writting some code - the

I'm also interested in shaping NAT. Would you mind telling us what you have in 
mind with your userspace code? Do you plan something like

tun -> your userspace code -> tun
             ^
             | (netlink)
             v
          conntrack

Kind regards,

Gerd